Group (Apache Tomcat 10.1.55 API Documentation)
Description: declaration: package: org.apache.tomcat.util.net.openssl.ciphers, enum: Group

# Enum Group

java.lang.Object
java.lang.Enum<Group>
org.apache.tomcat.util.net.openssl.ciphers.Group

All Implemented Interfaces:
  `Serializable, Comparable<Group>, java.lang.constant.Constable`

public enum Group extends Enum<Group>
All the supported named groups for TLS 1.3.

See Also:
  - The supported groups registry

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `curveSM2`
  `curveSM2MLKEM768`
  `ffdhe2048`
  `ffdhe3072`
  `ffdhe4096`
  `ffdhe6144`
  `ffdhe8192`
  `MLKEM1024`
  `MLKEM512`
  `MLKEM768`
  `secp256r1`
  `SecP256r1MLKEM768`
  `secp384r1`
  `SecP384r1MLKEM1024`
  `secp521r1`
  `x25519`
  `X25519MLKEM768`
  `x448`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getId()`
  `static Group`
  `valueOf(int groupId)`
  Returns the enum constant of this type with the specified name.
  `static Group`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static Group[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### secp256r1

    public static final Group secp256r1

  - ### secp384r1

    public static final Group secp384r1

  - ### secp521r1

    public static final Group secp521r1

  - ### x25519

    public static final Group x25519

  - ### x448

    public static final Group x448

  - ### ffdhe2048

    public static final Group ffdhe2048

  - ### ffdhe3072

    public static final Group ffdhe3072

  - ### ffdhe4096

    public static final Group ffdhe4096

  - ### ffdhe6144

    public static final Group ffdhe6144

  - ### ffdhe8192

    public static final Group ffdhe8192

  - ### curveSM2

    public static final Group curveSM2

  - ### MLKEM512

    public static final Group MLKEM512

  - ### MLKEM768

    public static final Group MLKEM768

  - ### MLKEM1024

    public static final Group MLKEM1024

  - ### SecP256r1MLKEM768

    public static final Group SecP256r1MLKEM768

  - ### X25519MLKEM768

    public static final Group X25519MLKEM768

  - ### SecP384r1MLKEM1024

    public static final Group SecP384r1MLKEM1024

  - ### curveSM2MLKEM768

    public static final Group curveSM2MLKEM768

- ## Method Details

  - ### values

    public static Group[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Group valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getId

    public int getId()
    Returns:
      the id

  - ### valueOf

    public static Group valueOf(int groupId)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `groupId` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null